Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-gtk-5.0/pages.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions | Variables
pages.h File Reference
`#include <gtk/gtk.h>`
`#include "support.h"`
`#include "pages_g.h"`

Go to the source code of this file.

## Functions

GtkWidget * | create_main_page (void)
GtkWidget * | create_start_page (void)
GtkWidget * | create_scenario_page (void)
GtkWidget * | create_load_page (void)
GtkWidget * | create_network_page (void)
GtkWidget * | create_statusbar (void)
void | append_network_statusbar (const char *text, bool force)
void | save_game_dialog_popup (void)
void | save_scenario_dialog_popup (void)
void | save_mapimg_dialog_popup (void)
void | mapimg_client_save (const char *filename)
void | ai_fill_changed_by_server (int aifill)
void | destroy_server_scans (void)

## Variables

GtkWidget * | start_message_area

## Function Documentation

## ◆ ai_fill_changed_by_server()

void ai_fill_changed_by_server | ( | int | aifill | ) |

Server changed AI fill setting.

Definition at line 1651 of file pages.c.

Referenced by option_gui_update_extra().

## ◆ append_network_statusbar()

void append_network_statusbar | ( | const char * | text,
|  | bool | force
| ) |  |

Queue statusbar label text change.

Definition at line 892 of file pages.c.

Referenced by connect_callback(), handle_authentication_req(), real_output_window_append(), and set_connection_state().

## ◆ create_load_page()

GtkWidget * create_load_page | ( | void |  | ) |

Create the load page.

Definition at line 2902 of file pages.c.

Referenced by setup_widgets().

## ◆ create_main_page()

GtkWidget * create_main_page | ( | void |  | ) |

Create the main page.

Definition at line 229 of file pages.c.

Referenced by setup_widgets().

## ◆ create_network_page()

GtkWidget * create_network_page | ( | void |  | ) |

Create the network page.

Definition at line 1199 of file pages.c.

Referenced by setup_widgets().

## ◆ create_scenario_page()

GtkWidget * create_scenario_page | ( | void |  | ) |

Create the scenario page.

Definition at line 3183 of file pages.c.

Referenced by setup_widgets().

## ◆ create_start_page()

GtkWidget * create_start_page | ( | void |  | ) |

Create start page.

Definition at line 2621 of file pages.c.

Referenced by setup_widgets().

## ◆ create_statusbar()

GtkWidget * create_statusbar | ( | void |  | ) |

Create statusbar.

Definition at line 907 of file pages.c.

Referenced by setup_widgets().

## ◆ destroy_server_scans()

void destroy_server_scans | ( | void |  | ) |

Free the server scans.

Definition at line 766 of file pages.c.

Referenced by ui_main(), and update_network_lists().

## ◆ mapimg_client_save()

void mapimg_client_save | ( | const char * | filename | ) |

Save map image. On error popup a message window for the user.

Definition at line 3568 of file pages.c.

Referenced by save_mapimg_callback(), save_mapimg_callback(), and save_mapimg_dialog_popup().

## ◆ save_game_dialog_popup()

void save_game_dialog_popup | ( | void |  | ) |

Save game dialog.

Definition at line 3485 of file pages.c.

Referenced by save_game_as_callback(), and save_game_as_callback().

## ◆ save_mapimg_dialog_popup()

void save_mapimg_dialog_popup | ( | void |  | ) |

Save scenario dialog.

Definition at line 3549 of file pages.c.

Referenced by save_mapimg_as_callback(), and save_mapimg_as_callback().

## ◆ save_scenario_dialog_popup()

void save_scenario_dialog_popup | ( | void |  | ) |

Save scenario dialog.

Definition at line 3520 of file pages.c.

Referenced by save_scenario_callback(), and save_scenario_callback().

## Variable Documentation

## ◆ start_message_area

GtkWidget* start_message_area

extern

Definition at line 1455 of file pages.c.

Referenced by chatline_is_scrolled_to_bottom(), chatline_scroll_to_bottom(), create_start_page(), and real_output_window_append().